intro = {}

function intro.load()
	intro.obey = love.graphics.newImage("obey.png")
	intro.logo = love.graphics.newImage("logo.png")
	intro.sfx = love.audio.newSource("pling.ogg")
	intro.obey_batch = love.graphics.newSpriteBatch(intro.obey, 5000)
	intro.time = 0
	intro.max_time = 3
	intro.first = true
end

function intro.update(dt)
	if intro.first then
		intro.first = false
		return
	end
	intro.time = intro.time + dt
	local f = intro.time / intro.max_time
	for i = 0, 10 / intro.max_time do
		intro.obey_batch:add(math.random(-100, 800), math.random(-100, 600))
	end
	if f > .5 and not intro.isplaying then
		intro.sfx:play()
		intro.isplaying = true
	end
	if intro.time > intro.max_time then
		intro.after()
	end
end

function intro.draw()
	local a = math.max(0, (intro.max_time - intro.time * 2) / intro.max_time * 255)
	love.graphics.setColor(a, a, a)
	love.graphics.rectangle('fill', 0, 0, 800, 600)
	love.graphics.setColor(255, 255, 255)
	love.graphics.draw(intro.obey_batch, 0, 0)
	a = intro.time / intro.max_time * 255
	love.graphics.setColor(255, 255, 255, a)
	love.graphics.draw(intro.logo, 400 - 150, 300 - 150)
end

function intro.skip()
	intro.time = math.max(intro.time, intro.max_time * .75)
end

love.update = intro.update
love.draw = intro.draw
love.keypressed = intro.skip
love.mousepressed = intro.skip

intro.load()
